%define anolis_release 1

%global git0 https://github.com/containers/%{name}

%{!?_modulesloaddir:%global _modulesloaddir %{_usr}/lib/modules-load.d}

Name: fuse-overlayfs
Version: 1.14
Release: %{anolis_release}%{?dist}
ExclusiveArch: aarch64 %{arm} ppc64le s390x x86_64 loongarch64
License: GPLv3+
Summary: FUSE overlay+shiftfs implementation for rootless containers
URL: %{git0}
Source0: %{git0}/archive/v%{version}.tar.gz
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: fuse3-devel
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: /usr/bin/go-md2man
BuildRequires: make
Requires: kmod
Requires: fuse3

%description
%{summary}.

%package devel
Summary: %{summary}
BuildArch: noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -Sgit

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
export LDFLAGS="-pie -Wl,-z,relro -Wl,-z,now"
./autogen.sh
./configure --prefix=%{_usr} --libdir=%{_libdir}
%{__make} generate-man

%install
make DESTDIR=%{buildroot} install install-man
install -d %{buildroot}%{_modulesloaddir}
echo fuse > %{buildroot}%{_modulesloaddir}/fuse-overlayfs.conf
%generate_compatibility_deps

%post
modprobe fuse > /dev/null 2>&1 || :

%check

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_modulesloaddir}/fuse-overlayfs.conf
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc README.md

%changelog
* Mon Feb 17 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 1.14-1
- update to 1.14
- update build parameters

* Fri Nov 17 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.13-1
- update to version 1.13

* Mon Sep 25 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 1.11-2
- Add loongarch64 support

* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.11-1
- init from upstream
